Subject: Re: [PATCH net] dt-bindings: net: xlnx,axi-ethernet: Correct phy-mode property value

From: Rob Herring <[email-masked]>
Date: Fri, 1 Nov 2024 12:34:01 -0500

On Fri, Nov 01, 2024 at 05:14:50PM +0000, Conor Dooley wrote:
> On Thu, Oct 31, 2024 at 06:53:12PM -0700, Jakub Kicinski wrote:
> > On Mon, 28 Oct 2024 14:42:14 +0530 Suraj Gupta wrote:
> > > Correct phy-mode property value to 1000base-x.
> > > 
> > > Fixes: cbb1ca6d5f9a ("dt-bindings: net: xlnx,axi-ethernet: convert bindings document to yaml")
> > > Signed-off-by: Suraj Gupta <[email-masked]>
> > > ---
> > >  Documentation/devicetree/bindings/net/xlnx,axi-ethernet.yaml | 2 +-
> > >  1 file changed, 1 insertion(+), 1 deletion(-)
> > > 
> > > diff --git a/Documentation/devicetree/bindings/net/xlnx,axi-ethernet.yaml b/Documentation/devicetree/bindings/net/xlnx,axi-ethernet.yaml
> > > index e95c21628281..fb02e579463c 100644
> > > --- a/Documentation/devicetree/bindings/net/xlnx,axi-ethernet.yaml
> > > +++ b/Documentation/devicetree/bindings/net/xlnx,axi-ethernet.yaml
> > > @@ -61,7 +61,7 @@ properties:
> > >        - gmii
> > >        - rgmii
> > >        - sgmii
> > > -      - 1000BaseX
> > > +      - 1000base-x
> > >  
> > >    xlnx,phy-type:
> > >      description:
> > 
> > Can we get an ack from DT folks?
> 
> I dunno, the commit message gives no detail at all about the impact of
> changing this, so I don't want to ack it. I *assume* that this is parsed
> by common code and 1000BaseX is not understood by that common code,
> but...

We're the ones defining the names in ethernet-controller.yaml. It should 
also have failed validation if used because the list here must be a 
subset of that list. So nothing to do with whatever the kernel does.

Acked-by: Rob Herring (Arm) <[email-masked]>